Subject: Re: signals handling in the kernel

From: David Hawkins <[email-masked]>
Date: Tue, 07 Aug 2007 11:31:47 -0700

Hi Mirek,

>>     I would like to send signals from the interrupt handler
>> routine (in the kernel) to the user application (in user space).
>> I have googled on that net and I have found that it could be done with the
>> function: kill_proc_info.
> 
> Look in Rubini for the section regarding asynchronous
> notification, Ch 6.
> 
> The callback to generate SIGIO is fasync.
> 

Actually, before you go off and implement something, can
you describe why you want to use signals.

I mistakenly used signals once to indicate notification of
an event. Then when I wanted multiple events from multiple
boards I found the problem with signals; you don't know
who sent it.

Using select() on multiple file descriptors ended up being
a more appropriate solution for my application. That
solution also works nicely with the ACE C++ ACE_Reactor
pattern.

Cheers,
Dave